---
layout: markdown_page
title: Support Handbook
---

## Welcome to the GitLab Support Handbook
{: .no_toc}

**Looking for technical support? Please visit the [Support Page](https://about.gitlab.com/support/) instead.**
{:.no_toc}

----

### On this page
{:.no_toc}

- TOC
{:toc}

----

## <i class="fa fa-book fa-fw icon-color font-awesome" aria-hidden="true"></i> Support Resources

- [Support Engineer Onboarding](/handbook/support/onboarding)
   - [Onboarding Checklist](/handbook/support/onboarding/checklist)
- [Support Workflows](/handbook/support/workflows/)
- [Support Channels](/handbook/support/channels)
- [On-Call](/handbook/on-call/)
- [Advanced Topics](/handbook/support/advanced-topics)

----

## <i class="fa fa-question-circle fa-fw icon-color font-awesome" aria-hidden="true"></i>  Support Direction

The overall direction for Support in 2018 is set by our overall [strategic objectives](/strategy), with a particular emphasis on continued improvement of (Premium) Customer satisfaction. As can also be inferred from our [publicly visible OKR page](https://about.gitlab.com/okrs/), the effort focuses on the following elements.

**Triaging Support Effort**

By triaging support effort through internal SLAs and integration of SalesForce, Zuora, and Zendesk, the team can improve the support experience for Premium customers while still addressing the questions of _all_ subscribers.

**Increase Capacity & Develop Experts**

In 2016 and 2017 we expanded the support team significantly, and this trend will continue in 2018. Along the way, the Support team developed internal training tools to assist in rapid, robust, self-guided training for any team member. As GitLab -- the product -- continues to expand, so will the skill and knowledge of all Support Engineers to be able to continue providing an excellent customer support experience.

Know someone who might be a great fit for our team? Please refer them to the [Support Engineer job description](/roles/engineering/support-engineer).

**Actionable Analytics**

Better reporting on ticket metrics (topic, response times, product it relates to, etc.) will help guide the Support Team's priorities in terms of adding to the greatest documentation needs, bug fixes, and support processes.

## Service and Support we Provide

For an overview of the support we provide to customers and GitLab.com users, please see the general [support page](https://about.gitlab.com/support/). What follows is a more detailed description of the level of service.

## Service Level Agreements
{: #sla}

The channels are sorted in order of priority, there are 4 SLA categories:

| SLA | Channel                | Response Time                          |
|-----|----------------------------|----------------------------------------|
| 1   | [Emergencies (Premium Customers only)](/handbook/support/channels/#emergency-tickets)                | 30 minutes                             |
| 2   | [Premium Customer - Regular Tickets](/handbook/support/channels/#regular-zendesk-tickets)                | 4 hrs (business)                             |
| 3   | [Regular Tickets](/handbook/support/channels/#regular-zendesk-tickets) and [Security](/handbook/support/channels/#security-disclosures) | 1 business day                         |

**Response time indicates the first reply time.**

Preferably we like to answer tickets sooner than the SLA requires. The higher a channel is in the list the sooner it should be answered.

The above SLAs are based on ticket priority which can be set manually by support agents. See [setting ticket priority](https://about.gitlab.com/handbook/support/workflows/zendesk/setting_ticket_priority.html)

### SLA Workflow

Support Engineers should work on tickets within their assigned support speciality as a first priority. Tickets should be picked up in the following order to make sure that SLAs are not breached, and customers receive the proper level of service:

1. Important Tickets
1. Premium Tickets Near Breaching
1. Premium Tickets Breached
1. Enterprise Edition Near Breaching
1. Enterprise Edition Breached

After these are addressed we can work on tickets in any order. When a ticket is breaching or has breached its first reply (or next reply) SLA this ticket must be picked up by any Support Engineer independently of who is assigned to it. This also applies to tickets for Resellers (i.e. anyone picks up if close to breaching, regardless of who the Dedicated Support Engineer is).

### Important Tickets

This is a special view that is used for two purposes:

1. Triggered Emergencies by customers. These will be paged, show up in slack, and now always be at the top of the queue.
1. Strategic Issues as deemed by the support lead. During large customer onboardings or other times where we may need to provide heightened response times the Support Lead may escalate tickets to important status. If so, this will be communicated on a team call. This is an extraordinary measure, and there should be no more than 3-4 organizations this applies to at any given time.

### Hot Queue: How GitLab Manages Ticket Assignments

Support teams often use an "assignment" model, where an agent is assigned a ticket and sees the ticket through to completion. If they are stuck, they can re-assign this ticket to another agent to pick up and try and complete. At GitLab however, we're taking advantage of our global support team and using a system dubbed "Hot Queuing". This system means that we all work from one global queue and it's expected that multiple agents will be working together on most issues. This allows us to do the following:

+ Keep tickets moving forward 24/7.
+ Exposes the team to more issues so more learning is happening.
+ Provide faster response to customers since tickets are not hidden away in an agent's personal queue and "bound" to an agent's workday.
+ Everyone has an accurate global representation of the support load.

#### When Should Tickets be Assigned?

There are times in the support process that an agent will want to assign the ticket to themselves:

+ If you are going to take the ticket to a call/screenshare, take it out of the queue by assigning the ticket to yourself. After the call, if the ticket is still on-going, feel free to unassign yourself so that everyone can continue to move it forward.
+ If you are committed to solving the problem strategically. There are times where we want this, and agents have full discretion to choose that, but it should be few and far between.

#### What if I Can't Answer a Ticket?

If you see a ticket in the queue that you are not able to answer, you should:

+ Make an internal note with your gut feelings as to where the issue might be.
+ CC yourself so you can follow along as the ticket progresses.
+ If you know that agents will need logs or version information, feel free to start with a simple response asking for such.
+ Consider asking about the ticket in slack to see if others can help.
+ Consider asking a more senior colleague, or take a look at the [Team page](https://about.gitlab.com/team/) to see who can help you.

With the hot queue, we all work together and no one should be scared to start a ticket.

#### What if I Feel Threatened or Harassed While Handling a Support Request?
Just as Support Staff are expected to adhere to the Code of Conduct, we also expect customers to treat the Support Staff
with the same level of respect.

If you receive threatening or hostile emails from a user, please create a confidential issue in the GitLab Support Issue Tracker
and include:

1. A history of the user's communication
1. Relevant links
1. Summary of the high-level issues

Include the Support Lead, VP of Engineering, and Chief Culture Officer in this issue. Together we will evaluate on a 
case-by-case basis whether to take action (e.g. ban the user from the forums for violating the Code of Conduct).

### Zendesk SLA settings and Breach Alerts

SLAs are set as Business Rules within Zendesk. For more information, please refer to the specific [Zendesk](/handbook/support/workflows/zendesk/zendesk_admin.html) page.

We have a slack integration that will notify us of a Premium ticket that will breach within an hour. If you see one of these, start a thread and consider this a _small emergency_. If you need help, draw attention of other support engineers by tagging them, and work to move the ticket forward.

## How We're Doing

The [Zendesk Insights dashboard](https://gitlab.Zendesk.com/agent/reporting/analytics/period:0/dashboard:buLJ3T7IiFnr) lists the activity for all of our current channels and summarizes the last 30 days (Zendesk login required).

## Our Meetings

Support has 3 meetings a week. Tuesday APAC Support call which will cover Metrics/Demos/Open format questions. Tuesday AMER call, which is focused on Demos and solving challenging tickets as a group. Lastly, the Friday AMER call which is focused on metrics/open format questions. This is how we coordinate and help us all grow together.

## Additional Resources for the Support Team

### Breach Hawks

Breach hawks are members of the support team who help the rest of the team keep an eye out for nearly-breaching tickets, so that they can be responded to in a timely manner. Of course, any and all members of the Support Team will have a sense of how many tickets are close to breaching and how high the load is on any given day. But it can happen that you're deep into a ticket, a customer call, etc., unaware of the impending doom. That's where breach hawks come in: they tackle their tickets, but they also keep an eye out for the team at large and can call in the [Support Turbos](#support-turbo) when needed.

### fix4all

"fix4all" is a rotation where one developer - or anyone in GitLab - spends a week of his or her time helping the support team, as described in more detail on the ["fix4all" rotation page](/handbook/engineering/fix4all).

### Support Turbo

Every now and then, it may occur that we come close to breaching our SLAs. To prevent an actual breach from occurring, the Support team can call on the help of several "Support Turbo" developers who are denoted on the [Team Page](https://about.gitlab.com/team/).

Support Turbos are separate from the ["fix4all" rotation](/handbook/engineering/fix4all), in that Turbos are on an as-needed basis while the fix4all rotation is a week-long commitment per person. Anyone within the support team can call Turbos when there is a need for it. Turbos should be called by pinging specific people via Slack. If you are in doubt who is available, you can use `@turbos`, but this may lead to a bystander effect.

The support team calls for help when necessary via Slack. Support Turbos should treat requests to solve breaching tickets with high priority. If a Turbo is working on something that cannot wait (e.g. security release, critical regressions, direction issues with near deadlines), the Turbo should ensure that someone else fields the request for Turbos by checking with the development lead or VP of Engineering.

Further guidelines when rolling up your sleeves to do Turbo work:

- Turbos should attempt to pick up "single touch" tickets (though this is not always easy to recognize) whenever possible
- Since Turbos log in using a generic agent, there are some special considerations:
   - Pro-actively sign the tickets with your name, or leave an internal note so that the rest of the team knows which individual provided a response. This is helpful to be able to reach out and gain context, etc.
   - Do not [assign tickets](https://support.zendesk.com/hc/en-us/articles/203690956) to the generic agent account. Leave the assignee as the "group", otherwise these tickets will get lost.
   - Please remember that people may pick up any ticket after you've replied. Adding any issues, docs, or follow-up expectations for a reply as an internal comment would be really beneficial for the person picking it up after you.

## Dedicated Support Engineers

We offer Dedicated Support Engineers (DSE) for Resellers where the relationship is deemed to be more important than the quick turnaround. This means that tickets that arrive in Zendesk from people within the reseller's organization are routed to a dedicated SE by way of a trigger in Zendesk. (Note, until February 2017 we offered this service to Premium Support Customers, but deprecated it in favor of a faster SLA).

- See how to [set a DSE trigger](/handbook/support/workflows/zendesk/create_dse_trigger.html)
- To make sure that the resellers are served well, even when their dedicated SE is not directly available, there is a view in Zendesk to display all "dedicated" tickets so that other Support Engineers can see them and jump in to avoid an SLA breach.
- If you are the Dedicated Support Engineer for an account and you will be away for a foreseeable reason (such as vacation), change the trigger in Zendesk for the duration of your absence. Any tickets answered by others should mention "I will be helping you in this matter since your dedicated Support Engineer, [name], is unfortunately currently unavailable to respond to your ticket." When you return, you should review all tickets submitted by the subscriber during your absence, and make sure to follow-through or follow-up as required.

## Contacting Support

### Internal Support for GitLab team members

Fellow GitLab team members can reach out for help from the Support Team in various ways:

1. For normal support questions ("Can GitLab do x?", "How do I do y with GitLab?") try:
   - pose your question on the `#questions` channel in Slack, so that everyone can contribute to an answer. If you're not getting an answer, try pinging the group handle for the support team, but be aware that this pings _everyone_  in the team.
1. For longer term or larger scope questions, such a process change, or data gathering requests, create a [support issue](https://gitlab.com/gitlab-com/support/support-team-meta/issues)
1. If customers or users have questions, advise them to contact support directly via the [support web form](https://support.gitlab.com).
1. As a last resort, ping the support team on the support chat channel.

### Support Issue Tracker

The [Support project](https://gitlab.com/gitlab-com/support/support-team-meta/issues) hosts an issue tracker meant to improve our workflow by reporting any problems that may arise in our tools or processes. It's also meant to propose and discuss ideas in general.

The issue tracker is open to the community and part of the GitLab.com group. It should not contain any sensitive information. Links to Zendesk or other references are encouraged.

### Support Chat Channels

We use our chat internally as a realtime communication tool. The support channels are as follows:

- [#questions](https://gitlab.slack.com/messages/questions) - If your question is something that you think anyone in the company could answer or is valuable to the greater company to know, ask it here!
- [#support](https://gitlab.slack.com/messages/support) - This is the general support team channel. Don't know where to ask a question about a ticket? Start here.
- [#support-live-feed](https://gitlab.slack.com/messages/support-live-feed) - Feed of all Zendesk related events
- [#self-hosted-support](https://gitlab.slack.com/messages/self-hosted-support) - This specifically for coordination related to Self Hosted issues.
- [#services-support](https://gitlab.slack.com/messages/services-support) - This specifically for the services support team. They handle GitLab.com account and subscription support and GitHost.
- [#githost](https://gitlab.slack.com/messages/githost) - This channel handles monitoring for GitHost instances.

In order to attract support team's attention in Slack, you can use the team handles, mentioning multiple team members in a message or a thread where support is needed. Support team handles are:
- @supportteam - Includes both self-hosted support engineers and services support.
- @servicesteam - Services support team members.
